Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core Namespace Reference

## Classes
class | DirectoryEventArgs
| Event arguments for directories. More...
class | ExtendedPathFilter
| ExtendedPathFilter filters based on name, file size, and the last write time of the file. More...
class | FileSystemScanner
| FileSystemScanner provides facilities scanning of files and directories. More...
interface | INameTransform
| INameTransform defines how file system names are transformed for use with archives, or vice versa. More...
interface | IScanFilter
| Scanning filters support filtering of names. More...
class | NameAndSizeFilter
| NameAndSizeFilter filters based on name and file size. More...
class | NameFilter
| NameFilter is a string matching class which allows for both positive and negative matching. A filter is a sequence of independant regular expressions separated by semi-colons ';'. To include a semi-colon it may be quoted as in \;. Each expression can be prefixed by a plus '+' sign or a minus '-' sign to denote the expression is intended to include or exclude names. If neither a plus or minus sign is found include is the default. A given name is tested for inclusion before checking exclusions. Only names matching an include spec and not matching an exclude spec are deemed to match the filter. An empty filter matches any name. More...
class | PathFilter
| PathFilter filters directories and files using a form of regular expressions by full path name. See NameFilter for more detail on filtering. More...
class | ProgressEventArgs
| Event arguments during processing of a single file or directory. More...
class | ScanEventArgs
| Event arguments for scanning. More...
class | ScanFailureEventArgs
| Arguments passed when scan failures are detected. More...
class | StreamUtils
| Provides simple Stream" utilities. More...
class | WindowsPathUtils
| WindowsPathUtils provides simple utilities for handling windows paths. More...

## Functions
delegate void | ProcessDirectoryHandler (object sender, DirectoryEventArgs e)
| Delegate invoked before starting to process a directory.
delegate void | ProcessFileHandler (object sender, ScanEventArgs e)
| Delegate invoked before starting to process a file.
delegate void | ProgressHandler (object sender, ProgressEventArgs e)
| Delegate invoked during processing of a file or directory.
delegate void | CompletedFileHandler (object sender, ScanEventArgs e)
| Delegate invoked when a file has been completely processed.
delegate void | DirectoryFailureHandler (object sender, ScanFailureEventArgs e)
| Delegate invoked when a directory failure is detected.
delegate void | FileFailureHandler (object sender, ScanFailureEventArgs e)
| Delegate invoked when a file failure is detected.

## Function Documentation

## ◆ CompletedFileHandler()

delegate void ICSharpCode.SharpZipLib.Core.CompletedFileHandler | ( | object | sender,
|  | ScanEventArgs | e )

Delegate invoked when a file has been completely processed.

Parameters

  sender | The source of the event
  e | The event arguments.

Here is the caller graph for this function:

## ◆ DirectoryFailureHandler()

delegate void ICSharpCode.SharpZipLib.Core.DirectoryFailureHandler | ( | object | sender,
|  | ScanFailureEventArgs | e )

Delegate invoked when a directory failure is detected.

Parameters

  sender | The source of the event
  e | The event arguments.

Here is the caller graph for this function:

## ◆ FileFailureHandler()

delegate void ICSharpCode.SharpZipLib.Core.FileFailureHandler | ( | object | sender,
|  | ScanFailureEventArgs | e )

Delegate invoked when a file failure is detected.

Parameters

  sender | The source of the event
  e | The event arguments.

Here is the caller graph for this function:

## ◆ ProcessDirectoryHandler()

delegate void ICSharpCode.SharpZipLib.Core.ProcessDirectoryHandler | ( | object | sender,
|  | DirectoryEventArgs | e )

Delegate invoked before starting to process a directory.

Here is the caller graph for this function:

## ◆ ProcessFileHandler()

delegate void ICSharpCode.SharpZipLib.Core.ProcessFileHandler | ( | object | sender,
|  | ScanEventArgs | e )

Delegate invoked before starting to process a file.

Parameters

  sender | The source of the event
  e | The event arguments.

Here is the caller graph for this function:

## ◆ ProgressHandler()

delegate void ICSharpCode.SharpZipLib.Core.ProgressHandler | ( | object | sender,
|  | ProgressEventArgs | e )

Delegate invoked during processing of a file or directory.

Parameters

  sender | The source of the event
  e | The event arguments.

Here is the caller graph for this function: